Xerces Native Interface: Class XNIException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni
Class XNIException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.xerces.xni.XNIException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XMLConfigurationException, XMLParseException

public class XNIException
extends java.lang.RuntimeException

This exception is the base exception of all XNI exceptions. It can be constructed with an error message or used to wrap another exception object.

Note: By extending the Java `RuntimeException`, XNI handlers and components are not required to catch XNI exceptions but may explicitly catch them, if so desired.

Version:
  $Id: XNIException.java 447247 2006-09-18 05:23:52Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

Constructor Summary
`XNIException(java.lang.Exception exception)` Constructs an XNI exception with a wrapped exception.
`XNIException(java.lang.String message)` Constructs an XNI exception with a message.
`XNIException(java.lang.String message, java.lang.Exception exception)` Constructs an XNI exception with a message and wrapped exception.

Method Summary
`java.lang.Exception` | `getException()` Returns the wrapped exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNIException

    public XNIException(java.lang.String message)

  Constructs an XNI exception with a message.
  Parameters:
    `message` - The exception message.

### XNIException

    public XNIException(java.lang.Exception exception)

  Constructs an XNI exception with a wrapped exception.
  Parameters:
    `exception` - The wrapped exception.

### XNIException

    public XNIException(java.lang.String message,
                        java.lang.Exception exception)

  Constructs an XNI exception with a message and wrapped exception.
  Parameters:
    `message` - The exception message.
    `exception` - The wrapped exception.

Method Detail

### getException

    public java.lang.Exception getException()

  Returns the wrapped exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.